*** PROGRAM: HELPWIN2.PRG
*** AUTHOR: ALBERTO NAVARRETE
*** DATE: 3-15-88
*** PLACE: CHICAGO, IL
*   This program will show a way of creating a 5 overlaping windows,
*   displaying text in each as you page them.
 
SET TALK OFF
SET ECHO OFF
SET STATUS OFF
SET BELL OFF
SET ESCAPE OFF
REPEAT=.T.
TODAY=CDOW(DATE())+" "+CMONTH(DATE())+" "+LTRIM(STR(DAY(DATE())))+", "+;
      STR(YEAR(DATE()),4)
DO WHILE REPEAT
   CLEAR
   @ 3,2 TO 24,76
   @ 1,13 TO 5,63 DOUBLE
   @ 3,14 SAY "   T I M E   M A N A G E M E N T    S Y S T E M  "
   @ 7,(80-(LEN(today)))/2 SAY today
   @ 10,20 TO 21,56
   @ 10,30 SAY "M A I N    M E N U"
   @ 12,30 SAY "[A] Add"
   @ 13,30 SAY "[B] Delete"
   @ 14,30 SAY "[C] Edit"
   @ 15,30 SAY "[D] View"
   @ 16,30 SAY "[H] Help"
   @ 17,30 SAY "[Q] Quit to DOS"
   @ 19,30 SAY "[ ]"
   @ 22,25 SAY "Type letter of your choice."
   CHOICE=" "
   DO WHILE .NOT. CHOICE$"ABCDHQ"
      CHOICE=" "
      @19,31 GET CHOICE PICT "!"
      READ
   ENDDO
   IF CHOICE="Q"
      CLEAR
      CLEAR ALL
      RETURN
   ENDIF
   DO CASE CHOICE
      CASE CHOICE="A"
           CLEAR
           @ 7,7 SAY "You chose 'A'!"
           WAIT
 
      CASE CHOICE="B"
           CLEAR
           @ 7,7 SAY "You chose 'B'!"
           WAIT
 
      CASE CHOICE="C"
           CLEAR
           @ 7,7 SAY "You chose 'C'!"
           WAIT
 
      CASE CHOICE="D"
           CLEAR
           @ 7,7 SAY "You chose 'D'!"
           WAIT
 
      CASE CHOICE="H"
           SET INTENSITY OFF
	   MSG="=Main Menu=                 H E L P                    Page 1 of 5"
	   FST="PgUp(next pg)    FIRST PAGE     Home(pg 1) End(last pg) Esc(Exit) "
	   RST="PgUp(next pg) PgDn(previous pg) Home(pg 1) End(last pg) Esc(Exit) "
	   LST="   LAST PAGE  PgDn(previous pg) Home(pg 1) End(last pg) Esc(Exit) "
	   PAGE=5
           SETHELP=.T.
 
           DO WHILE PAGE<6
              DO CASE
 
* Set rows and columns for window 1, clear the area inside the window,
* and display Page 1
 
                 CASE PAGE=1
                    R1=10
                    C1=11
                    R2=22
                    C2=79
                    @ R1,C1-1 CLEAR TO R2,C2
		    @ R1-1,C1-2 TO R2,C2 DOUBLE
		    @ R1,C1 SAY MSG
		    @ R1,C1+60 SAY PAGE PICTURE "9"
		    @ R1+1,C1 SAY "Choice 'A': -Adding records-"
                    @ R1+3,C1 SAY "After entering the appropiate information for all fields in the"
                    @ R1+4,C1 SAY "blank entry screen for one record, a new blank entry screen is"
                    @ R1+5,C1 SAY "displayed to enter the next record. When you no longer wish to"
                    @ R1+6,C1 SAY "enter records, press the 'Ctrl' and the 'End' keys at the same"
                    @ R1+7,C1 SAY "time, but don't hold them too long. The best way to do it is by"
                    @ R1+8,C1 SAY "keeping the 'Ctrl' key pressed, then tap the 'End' key. If you"
                    @ R1+9,C1 SAY "save one or several blank records by accident, you can delete"
                    @ R1+10,C1 SAY "them with choice 'B'."
		    @ 22,12 SAY FST
		    IF SETHELP
                       SETHELP=.F.
                    ENDIF
 
* Set rows and columns for window 2, clear the area inside the window,
* and display Page 2
 
                 CASE PAGE=2
                    R1=8
                    C1=9
                    R2=20
                    C2=77
                    @ R1,C1-1 CLEAR TO R2,C2
                    @ R1-1,C1-2 TO R2,C2 DOUBLE
		    @ R1,C1 SAY MSG
		    @ R1,C1+60 SAY PAGE PICTURE "9"
		    @ R1+1,C1 SAY "Choice 'B': -Deleting records-"
                    @ R1+3,C1 SAY "You can delete all blank records or any other record at a time."
                    @ R1+4,C1 SAY "If you choose to delete a nonblank record, you are asked for the"
                    @ R1+5,C1 SAY "Attorney's name and Date of the record you want deleted. If you"
                    @ R1+6,C1 SAY "decide to go back to the Main Menu, instead of deleting a record,"
                    @ R1+7,C1 SAY "press 'Enter' twice. If you enter Attorney's name and Date, and"
                    @ R1+8,C1 SAY "there's more than one match, all matching records are displayed"
                    @ R1+9,C1 SAY "on screen. If you change your mind at this point, you can press"
                    @ R1+10,C1 SAY "'Enter' to return to the Main Menu. If you decide to delete a"
		    IF SETHELP
                       PAGE=1
                       LOOP
                    ENDIF
		    @ 22,12 SAY RST

* Set rows and columns for window 3, clear the area inside the window,
* and display Page 3
 
                 CASE PAGE=3
                    R1=6
                    C1=7
                    R2=18
                    C2=75
                    @ R1,C1-1 CLEAR TO R2,C2
                    @ R1-1,C1-2 TO R2,C2 DOUBLE
		    @ R1,C1 SAY MSG
		    @ R1,C1+60 SAY PAGE PICTURE "9"
		    @ R1+1,C1 SAY "-Deleting records- (continued)."
                    @ R1+2,C1 SAY "record, type the record # of the one you want. The chosen record"
                    @ R1+3,C1 SAY "is then displayed by itself, and you are asked to confirm its"
                    @ R1+4,C1 SAY "deletion, but this is your last chance to change your mind!"
                    @ R1+6,C1 SAY "Choice 'C': -Editing records-"
                    @ R1+7,C1 SAY "Enter the Attorney name and Date of the record to be edited or you"
                    @ R1+8,C1 SAY "could press 'Enter' twice to return to the Main Menu. If there's"
                    @ R1+9,C1 SAY "more than one match, all matching records are displayed on screen."
                    @ R1+10,C1 SAY "If you decide not to continue, press the 'Enter' key to return to"
		    IF SETHELP
                       PAGE=2
                       LOOP
                    ENDIF
		    @ 22,12 SAY RST

* Set rows and columns for window 4, clear the area inside the window,
* and display Page 4
 
                 CASE PAGE=4
                    R1=4
                    C1=5
                    R2=16
                    C2=73
                    @ R1,C1-1 CLEAR TO R2,C2
                    @ R1-1,C1-2 TO R2,C2 DOUBLE
		    @ R1,C1 SAY MSG
		    @ R1,C1+60 SAY PAGE PICTURE "9"
		    @ R1+1,C1 SAY "-Editing records- (continued)."
                    @ R1+2,C1 SAY "the Main Menu, otherwise type the record # of the record you want"
                    @ R1+3,C1 SAY "to edit. The chosen record is displayed and ready for editing."
                    @ R1+4,C1 SAY "When you are done editing press the 'Ctrl' and 'End' keys at the"
                    @ R1+5,C1 SAY "same time to save changes and go back to the Main Menu."
                    @ R1+7,C1 SAY "Choice 'D': -View records-"
                    @ R1+8,C1 SAY "You can view records by Attorney or by Date. You can move around"
                    @ R1+9,C1 SAY "the file and view all the records, but you can't do any editing."
		    IF SETHELP
                       PAGE=3
                       LOOP
                    ENDIF
		    @ 22,12 SAY RST

* Set rows and columns for window 5, clear the area inside the window,
* and display Page 5
 
                 CASE PAGE=5
                    R1=2
                    C1=3
                    R2=14
                    C2=71
                    @ R1,C1-1 CLEAR TO R2,C2
                    @ R1-1,C1-2 TO R2,C2 DOUBLE
		    @ R1,C1 SAY MSG
		    @ R1,C1+60 SAY PAGE PICTURE "9"
		    @ R1+2,C1 SAY "Choice 'E': -Reports Menu-"
                    @ R1+3,C1 SAY "=Reports Menu="
                    @ R1+4,C1 SAY "You get three choices of reports:"
                    @ R1+5,C1 SAY "[A] By Attorney, which prints all records by attorney, or all the"
                    @ R1+6,C1+4 SAY "records of one attorney of your choice."
                    @ R1+7,C1 SAY "[B] By Date, which prints all records by date, or all the records"
                    @ R1+8,C1+4 SAY "of one date of your choice."
                    @ R1+9,C1 SAY "[C] By Bank I.D., which prints all records by bank I.D., or all"
                    @ R1+10,C1+4 SAY "the records of one bank I.D. of your choice."
		    IF SETHELP
                       PAGE=4
                       LOOP
                    ENDIF
		    @ 22,12 SAY LST
 
              ENDCASE

	      I=0
	      DO WHILE I=0
		 @ 22,77 SAY " "
		 I=INKEY()
	      ENDDO
	      DO CASE I
* Check if Home was pressed
		 CASE I=1
		    PAGE=1
* Check ifPgDn was pressed
		 CASE I=3
		    PAGE=IIF(PAGE=1,1,PAGE-1)
* Check if End was pressed
		 CASE I=6
		    PAGE=5
* Check if PgUp was pressed
		 CASE I=18
		    PAGE=IIF(PAGE=5,5,PAGE+1)
* Stop loop if "Esc" was pressed, and return to Main Menu
		 CASE I=27
		    EXIT
		 OTHERWISE
		    ??CHR(7)
	      ENDCASE I

           ENDDO
           SET INTENSITY ON
      ENDCASE CHOICE
   ENDDO
RETURN
 
